### Function

# GLib IOFunc

#### Declaration

    gboolean
    (* GIOFunc) (
      GIOChannel* source,
      GIOCondition condition,
      gpointer data
    )

#### Description

Specifies the type of function passed to `g_io_add_watch()` or g_io_add_watch_full(), which is called when the requested condition on a `GIOChannel` is satisfied.

#### Parameters

`source`

  Type: `GIOChannel`

  The `GIOChannel` event source.

  The data is owned by the caller of the function.

`condition`

  Type: `GIOCondition`

  The condition which has been satisfied.

`data`

  Type: `gpointer`

  User data set in `g_io_add_watch()` or g_io_add_watch_full().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

The function should return `FALSE` if the event source should be removed.